Package uk.me.nxg.unity

# Class UnwritableExpression

java.lang.Object
java.lang.Throwable
java.lang.Exception
uk.me.nxg.unity.UnitParserException
uk.me.nxg.unity.UnwritableExpression

All Implemented Interfaces:
  `Serializable`

public class UnwritableExpression extends UnitParserException
Thrown when an expression cannot be written in a particular syntax. For example, the CDS syntax permits only the log() function in a unit string, and nothing at all can be written in the notional `Syntax.ALL`.

See Also:
  - Serialized Form

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`